Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model
Class DefaultCls

    java.lang.Object
      edu.stanford.smi.protege.model.DefaultFrame
          edu.stanford.smi.protege.model.DefaultInstance
              edu.stanford.smi.protege.model.DefaultCls

All Implemented Interfaces:
  Cls, Frame, Instance, Localizable, Serializable, Comparable<Frame>

    public class DefaultCls

extends DefaultInstance
implements Cls

Default implementation of Cls interface. Forwards all method calls to its DefaultKnowledgeBase.

Author:
  Ray Fergerson
See Also:
  Serialized Form

Constructor Summary
`DefaultCls()`
`DefaultCls(KnowledgeBase kb, FrameID id)`

Method Summary
`void` | `addClsListener(ClsListener listener)`
`void` | `addDirectSuperclass(Cls superclass)`
`void` | `addDirectTemplateSlot(Slot slot)`
`void` | `addTemplateFacetValue(Slot slot, Facet facet, Object value)`
`void` | `addTemplateSlotValue(Slot slot, Object value)`
`Instance` | `createDirectInstance(String name)`
`Slot` | `getBrowserSlot()` Deprecated.
`BrowserSlotPattern` | `getBrowserSlotPattern()`
`Collection` | `getConcreteSubclasses()`
`Slot` | `getDirectBrowserSlot()` Deprecated. Use #getDirectBrowserSlotPattern
`BrowserSlotPattern` | `getDirectBrowserSlotPattern()`
`int` | `getDirectInstanceCount()`
`Collection<Instance>` | `getDirectInstances()`
`Collection` | `getDirectlyOverriddenTemplateFacets(Slot slot)`
`int` | `getDirectSubclassCount()`
`Collection` | `getDirectSubclasses()`
`int` | `getDirectSuperclassCount()`
`Collection<Cls>` | `getDirectSuperclasses()`
`List` | `getDirectTemplateFacetValues(Slot slot, Facet facet)` see `Frame` for a description of the returned objects
`Collection` | `getDirectTemplateSlots()`
`List` | `getDirectTemplateSlotValues(Slot slot)` see `Frame` for a description of the returned objects
`Icon` | `getIcon()`
`Slot` | `getInheritedBrowserSlot()` Deprecated. Use #getInheritedBrowserSlotPattern
`BrowserSlotPattern` | `getInheritedBrowserSlotPattern()`
`int` | `getInstanceCount()`
`Collection<Instance>` | `getInstances()`
`Collection` | `getOverriddenTemplateFacets(Slot slot)`
`Collection` | `getSubclasses()` Get all descendent classes for this class.
`Collection` | `getSuperclasses()` Get all ancestors classes for this class.
`Collection` | `getTemplateFacets(Slot slot)`
`Object` | `getTemplateFacetValue(Slot slot, Facet facet)` see `Frame` for a description of the return type
`Collection` | `getTemplateFacetValues(Slot slot, Facet facet)` see `Frame` for a description of the return type
`Collection` | `getTemplateSlotAllowedClses(Slot slot)`
`Collection` | `getTemplateSlotAllowedParents(Slot slot)`
`Collection` | `getTemplateSlotAllowedValues(Slot slot)`
`boolean` | `getTemplateSlotAllowsMultipleValues(Slot slot)`
`Collection` | `getTemplateSlotDefaultValues(Slot slot)`
`Collection` | `getTemplateSlotDocumentation(Slot slot)` Get free text documentation for this template slot.
`int` | `getTemplateSlotMaximumCardinality(Slot slot)` returns 0 if there is no maximum cardinality
`Number` | `getTemplateSlotMaximumValue(Slot slot)`
`int` | `getTemplateSlotMinimumCardinality(Slot slot)`
`Number` | `getTemplateSlotMinimumValue(Slot slot)`
`Collection` | `getTemplateSlots()`
`Object` | `getTemplateSlotValue(Slot slot)` see `Frame` for a description of the return type
`Collection` | `getTemplateSlotValues(Slot slot)` see `Frame` for a description of the return type
`ValueType` | `getTemplateSlotValueType(Slot slot)`
`int` | `getVisibleDirectSubclassCount()`
`Collection` | `getVisibleDirectSubclasses()`
`Collection` | `getVisibleTemplateSlots()`
`boolean` | `hasDirectlyOverriddenTemplateFacet(Slot slot, Facet facet)` returns true if the facet is overridden on this slot relative to the value at this classes direct parent.
`boolean` | `hasDirectlyOverriddenTemplateSlot(Slot slot)` returns true if any facet of this slot at this class is directly overridden.
`boolean` | `hasDirectSuperclass(Cls cls)`
`boolean` | `hasDirectTemplateSlot(Slot slot)`
`boolean` | `hasInheritedTemplateSlot(Slot slot)`
`boolean` | `hasOverriddenTemplateFacet(Slot slot, Facet facet)` returns true if the facet is overridden on this slot relative to the value of the facets associated slot on the top-level slot.
`boolean` | `hasOverriddenTemplateSlot(Slot slot)` returns true if any facet of this slot at this class is overridden.
`boolean` | `hasSuperclass(Cls cls)`
`boolean` | `hasTemplateFacet(Slot slot, Facet facet)`
`boolean` | `hasTemplateSlot(Slot slot)`
`boolean` | `isAbstract()`
`boolean` | `isClsMetaCls()`
`boolean` | `isConcrete()`
`boolean` | `isDefaultClsMetaCls()`
`boolean` | `isDefaultFacetMetaCls()`
`boolean` | `isDefaultSlotMetaCls()`
`boolean` | `isFacetMetaCls()`
`boolean` | `isMetaCls()`
`boolean` | `isRoot()`
`boolean` | `isSlotMetaCls()`
`void` | `moveDirectSubclass(Cls movedSubclass, Cls afterCls)` Reorder the subclasses, moving `movedSubclass` so that it appears after `afterCls` .
`void` | `moveDirectTemplateSlot(Slot slot, int toIndex)`
`void` | `removeClsListener(ClsListener listener)`
`void` | `removeDirectSuperclass(Cls superclass)`
`void` | `removeDirectTemplateSlot(Slot slot)`
`void` | `removeTemplateFacetOverrides(Slot slot)`
`Cls` | `rename(String name)` This is as close as we come to renaming a frame.
`void` | `setAbstract(boolean isAbstract)`
`void` | `setDirectBrowserSlot(Slot slot)` Deprecated.
`void` | `setDirectBrowserSlotPattern(BrowserSlotPattern slotPattern)`
`void` | `setDirectTypeOfSubclasses(Cls metaCls)`
`void` | `setTemplateFacetValue(Slot slot, Facet facet, Object value)` see `Frame` for a description of the value type
`void` | `setTemplateFacetValues(Slot slot, Facet facet, Collection values)` see `Frame` for a description of the value type
`void` | `setTemplateSlotAllowedClses(Slot slot, Collection clses)`
`void` | `setTemplateSlotAllowedParents(Slot slot, Collection parents)`
`void` | `setTemplateSlotAllowedValues(Slot slot, Collection values)`
`void` | `setTemplateSlotAllowsMultipleValues(Slot slot, boolean multiple)`
`void` | `setTemplateSlotDefaultValues(Slot slot, Collection values)` see `Frame` for a description of the value type
`void` | `setTemplateSlotDocumentation(Slot slot, Collection values)`
`void` | `setTemplateSlotDocumentation(Slot slot, String value)`
`void` | `setTemplateSlotMaximumCardinality(Slot slot, int max)` sets the maximum cardinality.
`void` | `setTemplateSlotMaximumValue(Slot slot, Number maximum)` sets the maximum slot value.
`void` | `setTemplateSlotMinimumCardinality(Slot slot, int min)` sets the minimum cardinality
`void` | `setTemplateSlotMinimumValue(Slot slot, Number minimum)`
`void` | `setTemplateSlotValue(Slot slot, Object value)` see `Frame` for a description of the value type
`void` | `setTemplateSlotValues(Slot slot, Collection values)` see `Frame` for a description of the value type
`void` | `setTemplateSlotValueType(Slot slot, ValueType type)`
`String` | `toString()`

Methods inherited from class edu.stanford.smi.protege.model.DefaultInstance
`addDirectType, addInstanceListener, copy, deepCopy, getBrowserText, getDirectType, getDirectTypes, getOwnFacetValue, getOwnFacetValues, getReachableSimpleInstances, hasDirectType, hasType, moveDirectType, removeDirectType, removeInstanceListener, setDirectType, setDirectTypes, shallowCopy`

Methods inherited from class edu.stanford.smi.protege.model.DefaultFrame
`addFrameListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, assertFrameName, compareTo, delete, equals, equals, getDefaultKnowledgeBase, getDefiningProjectURI, getDirectOwnSlotValue, getDirectOwnSlotValues, getDocumentation, getFrameID, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getName, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReferences, getReferences, hashCode, hasOwnSlot, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValid, isValidOwnSlotValue, isVisible, localize, markDeleted, markDeleting, moveDirectOwnSlotValue, removeFrameListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDocumentation, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, setSystem, setVisible`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`addDirectType, addInstanceListener, getDirectType, getDirectTypes, getReachableSimpleInstances, hasDirectType, hasType, moveDirectType, removeDirectType, removeInstanceListener, setDirectType, setDirectTypes`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`addFrameListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, assertFrameName, copy, deepCopy, delete, getBrowserText, getDirectOwnSlotValue, getDirectOwnSlotValues, getDocumentation, getFrameID, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getName, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReferences, getReferences, hasOwnSlot, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValid, isValidOwnSlotValue, isVisible, markDeleted, markDeleting, moveDirectOwnSlotValue, removeFrameListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDocumentation, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, setVisible, shallowCopy`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### DefaultCls

    public DefaultCls()

### DefaultCls

    public DefaultCls(KnowledgeBase kb,
                      FrameID id)

Method Detail

### addClsListener

    public void addClsListener(ClsListener listener)

  Specified by:
    `addClsListener` in interface `Cls`

### addDirectSuperclass

    public void addDirectSuperclass(Cls superclass)

  Specified by:
    `addDirectSuperclass` in interface `Cls`

### addDirectTemplateSlot

    public void addDirectTemplateSlot(Slot slot)

  Specified by:
    `addDirectTemplateSlot` in interface `Cls`

### addTemplateFacetValue

    public void addTemplateFacetValue(Slot slot,
                                      Facet facet,
                                      Object value)

  Specified by:
    `addTemplateFacetValue` in interface `Cls`

### addTemplateSlotValue

    public void addTemplateSlotValue(Slot slot,
                                     Object value)

  Specified by:
    `addTemplateSlotValue` in interface `Cls`

### createDirectInstance

    public Instance createDirectInstance(String name)

  Specified by:
    `createDirectInstance` in interface `Cls`

### getBrowserSlot

    public Slot getBrowserSlot()

  Deprecated.

  Specified by:
    `getBrowserSlot` in interface `Cls`

### getBrowserSlotPattern

    public BrowserSlotPattern getBrowserSlotPattern()

  Specified by:
    `getBrowserSlotPattern` in interface `Cls`

### getConcreteSubclasses

    public Collection getConcreteSubclasses()

  Specified by:
    `getConcreteSubclasses` in interface `Cls`

### getDirectBrowserSlot

    public Slot getDirectBrowserSlot()

  Deprecated. Use #getDirectBrowserSlotPattern

  Specified by:
    `getDirectBrowserSlot` in interface `Cls`

### getDirectBrowserSlotPattern

    public BrowserSlotPattern getDirectBrowserSlotPattern()

  Specified by:
    `getDirectBrowserSlotPattern` in interface `Cls`

### getInheritedBrowserSlot

    public Slot getInheritedBrowserSlot()

  Deprecated. Use #getInheritedBrowserSlotPattern

  Specified by:
    `getInheritedBrowserSlot` in interface `Cls`

### getInheritedBrowserSlotPattern

    public BrowserSlotPattern getInheritedBrowserSlotPattern()

  Specified by:
    `getInheritedBrowserSlotPattern` in interface `Cls`

### getDirectInstanceCount

    public int getDirectInstanceCount()

  Specified by:
    `getDirectInstanceCount` in interface `Cls`

### getDirectInstances

    public Collection<Instance> getDirectInstances()

  Specified by:
    `getDirectInstances` in interface `Cls`
  Returns:
    a Collection of `Instance` The values returned are instances of this class but not instances of its subclasses. If you want instances of both a class and its subclasses see `Cls.getInstances()`

### getDirectSubclassCount

    public int getDirectSubclassCount()

  Specified by:
    `getDirectSubclassCount` in interface `Cls`

### getDirectSubclasses

    public Collection getDirectSubclasses()

  Specified by:
    `getDirectSubclasses` in interface `Cls`

### getDirectSuperclassCount

    public int getDirectSuperclassCount()

  Specified by:
    `getDirectSuperclassCount` in interface `Cls`

### getDirectSuperclasses

    public Collection<Cls> getDirectSuperclasses()

  Specified by:
    `getDirectSuperclasses` in interface `Cls`

### getDirectTemplateFacetValues

    public List getDirectTemplateFacetValues(Slot slot,
                                             Facet facet)

  Description copied from interface: `Cls`
  see `Frame` for a description of the returned objects

  Specified by:
    `getDirectTemplateFacetValues` in interface `Cls`

### getDirectTemplateSlots

    public Collection getDirectTemplateSlots()

  Specified by:
    `getDirectTemplateSlots` in interface `Cls`

### getDirectTemplateSlotValues

    public List getDirectTemplateSlotValues(Slot slot)

  Description copied from interface: `Cls`
  see `Frame` for a description of the returned objects

  Specified by:
    `getDirectTemplateSlotValues` in interface `Cls`

### getInstanceCount

    public int getInstanceCount()

  Specified by:
    `getInstanceCount` in interface `Cls`

### getInstances

    public Collection<Instance> getInstances()

  Specified by:
    `getInstances` in interface `Cls`
  Returns:
    a Collection of `Instance` The values returned are instances of this class and all of its subclasses. If you want instances of just this class see `Cls.getDirectInstances()`

### getSubclasses

    public Collection getSubclasses()

  Description copied from interface: `Cls`
  Get all descendent classes for this class. This includes children, grandchildren, etc. If you want only the children who directly inherit from this class then see `Cls.getDirectSubclasses()`

  Specified by:
    `getSubclasses` in interface `Cls`
  Returns:
    a Collection of `Cls`

### getSuperclasses

    public Collection getSuperclasses()

  Description copied from interface: `Cls`
  Get all ancestors classes for this class. This includes children, grandchildren, etc. If you want only the children who directly inherit from this class then see `Cls.getDirectSubclasses()`

  Specified by:
    `getSuperclasses` in interface `Cls`
  Returns:
    a Collection of `Cls`

### getTemplateFacets

    public Collection getTemplateFacets(Slot slot)

  Specified by:
    `getTemplateFacets` in interface `Cls`

### getOverriddenTemplateFacets

    public Collection getOverriddenTemplateFacets(Slot slot)

  Specified by:
    `getOverriddenTemplateFacets` in interface `Cls`

### getDirectlyOverriddenTemplateFacets

    public Collection getDirectlyOverriddenTemplateFacets(Slot slot)

  Specified by:
    `getDirectlyOverriddenTemplateFacets` in interface `Cls`

### getTemplateFacetValue

    public Object getTemplateFacetValue(Slot slot,
                                        Facet facet)

  Description copied from interface: `Cls`
  see `Frame` for a description of the return type

  Specified by:
    `getTemplateFacetValue` in interface `Cls`

### getTemplateFacetValues

    public Collection getTemplateFacetValues(Slot slot,
                                             Facet facet)

  Description copied from interface: `Cls`
  see `Frame` for a description of the return type

  Specified by:
    `getTemplateFacetValues` in interface `Cls`

### getTemplateSlotAllowedClses

    public Collection getTemplateSlotAllowedClses(Slot slot)

  Specified by:
    `getTemplateSlotAllowedClses` in interface `Cls`
  Returns:
    a Collection of `Cls` objects if the slot is of type INSTANCE. Undefined otherwise

### getTemplateSlotAllowedParents

    public Collection getTemplateSlotAllowedParents(Slot slot)

  Specified by:
    `getTemplateSlotAllowedParents` in interface `Cls`
  Returns:
    a Collection of `Cls` objects if the slot is of type CLASS. Undefined otherwise

### getTemplateSlotAllowedValues

    public Collection getTemplateSlotAllowedValues(Slot slot)

  Specified by:
    `getTemplateSlotAllowedValues` in interface `Cls`
  Returns:
    a Collection of Strings if the slot is of type SYMBOL. Undefined otherwise

### getTemplateSlotAllowsMultipleValues

    public boolean getTemplateSlotAllowsMultipleValues(Slot slot)

  Specified by:
    `getTemplateSlotAllowsMultipleValues` in interface `Cls`

### getTemplateSlotDefaultValues

    public Collection getTemplateSlotDefaultValues(Slot slot)

  Specified by:
    `getTemplateSlotDefaultValues` in interface `Cls`
  Returns:
    a Collection of java.lang.Objects. See `Frame` for a description of the object types.

### getTemplateSlotDocumentation

    public Collection getTemplateSlotDocumentation(Slot slot)

  Description copied from interface: `Cls`
  Get free text documentation for this template slot. Documentation is defined to return a collection only because it is so defined by the OKBC specification. Only the first value is used by Protege.

  Specified by:
    `getTemplateSlotDocumentation` in interface `Cls`
  Returns:
    a Collection of Strings.

### getTemplateSlotMaximumCardinality

    public int getTemplateSlotMaximumCardinality(Slot slot)

  Description copied from interface: `Cls`
  returns 0 if there is no maximum cardinality

  Specified by:
    `getTemplateSlotMaximumCardinality` in interface `Cls`

### getTemplateSlotMaximumValue

    public Number getTemplateSlotMaximumValue(Slot slot)

  Specified by:
    `getTemplateSlotMaximumValue` in interface `Cls`

### getTemplateSlotMinimumCardinality

    public int getTemplateSlotMinimumCardinality(Slot slot)

  Specified by:
    `getTemplateSlotMinimumCardinality` in interface `Cls`

### getTemplateSlotMinimumValue

    public Number getTemplateSlotMinimumValue(Slot slot)

  Specified by:
    `getTemplateSlotMinimumValue` in interface `Cls`

### getTemplateSlots

    public Collection getTemplateSlots()

  Specified by:
    `getTemplateSlots` in interface `Cls`

### getTemplateSlotValue

    public Object getTemplateSlotValue(Slot slot)

  Description copied from interface: `Cls`
  see `Frame` for a description of the return type

  Specified by:
    `getTemplateSlotValue` in interface `Cls`

### getTemplateSlotValues

    public Collection getTemplateSlotValues(Slot slot)

  Description copied from interface: `Cls`
  see `Frame` for a description of the return type

  Specified by:
    `getTemplateSlotValues` in interface `Cls`

### getTemplateSlotValueType

    public ValueType getTemplateSlotValueType(Slot slot)

  Specified by:
    `getTemplateSlotValueType` in interface `Cls`

### getVisibleDirectSubclassCount

    public int getVisibleDirectSubclassCount()

  Specified by:
    `getVisibleDirectSubclassCount` in interface `Cls`

### getVisibleTemplateSlots

    public Collection getVisibleTemplateSlots()

  Specified by:
    `getVisibleTemplateSlots` in interface `Cls`

### getVisibleDirectSubclasses

    public Collection getVisibleDirectSubclasses()

  Specified by:
    `getVisibleDirectSubclasses` in interface `Cls`

### hasDirectlyOverriddenTemplateFacet

    public boolean hasDirectlyOverriddenTemplateFacet(Slot slot,
                                                      Facet facet)

  Description copied from interface: `Cls`
  returns true if the facet is overridden on this slot relative to the value at this classes direct parent.

  Specified by:
    `hasDirectlyOverriddenTemplateFacet` in interface `Cls`

### hasDirectlyOverriddenTemplateSlot

    public boolean hasDirectlyOverriddenTemplateSlot(Slot slot)

  Description copied from interface: `Cls`
  returns true if any facet of this slot at this class is directly overridden. "directly overridden" means that the slot is overridden at this class relative to the direct parent class or classes.

  Specified by:
    `hasDirectlyOverriddenTemplateSlot` in interface `Cls`

### hasDirectSuperclass

    public boolean hasDirectSuperclass(Cls cls)

  Specified by:
    `hasDirectSuperclass` in interface `Cls`

### hasDirectTemplateSlot

    public boolean hasDirectTemplateSlot(Slot slot)

  Specified by:
    `hasDirectTemplateSlot` in interface `Cls`

### hasInheritedTemplateSlot

    public boolean hasInheritedTemplateSlot(Slot slot)

  Specified by:
    `hasInheritedTemplateSlot` in interface `Cls`

### hasOverriddenTemplateFacet

    public boolean hasOverriddenTemplateFacet(Slot slot,
                                              Facet facet)

  Description copied from interface: `Cls`
  returns true if the facet is overridden on this slot relative to the value of the facets associated slot on the top-level slot.

  Specified by:
    `hasOverriddenTemplateFacet` in interface `Cls`

### hasOverriddenTemplateSlot

    public boolean hasOverriddenTemplateSlot(Slot slot)

  Description copied from interface: `Cls`
  returns true if any facet of this slot at this class is overridden. "overridden" refers to an override relative to the top-level slot.

  Specified by:
    `hasOverriddenTemplateSlot` in interface `Cls`

### hasSuperclass

    public boolean hasSuperclass(Cls cls)

  Specified by:
    `hasSuperclass` in interface `Cls`

### hasTemplateFacet

    public boolean hasTemplateFacet(Slot slot,
                                    Facet facet)

  Specified by:
    `hasTemplateFacet` in interface `Cls`

### hasTemplateSlot

    public boolean hasTemplateSlot(Slot slot)

  Specified by:
    `hasTemplateSlot` in interface `Cls`

### isAbstract

    public boolean isAbstract()

  Specified by:
    `isAbstract` in interface `Cls`

### isClsMetaCls

    public boolean isClsMetaCls()

  Specified by:
    `isClsMetaCls` in interface `Cls`

### isConcrete

    public boolean isConcrete()

  Specified by:
    `isConcrete` in interface `Cls`

### isDefaultClsMetaCls

    public boolean isDefaultClsMetaCls()

  Specified by:
    `isDefaultClsMetaCls` in interface `Cls`

### isDefaultFacetMetaCls

    public boolean isDefaultFacetMetaCls()

  Specified by:
    `isDefaultFacetMetaCls` in interface `Cls`

### isDefaultSlotMetaCls

    public boolean isDefaultSlotMetaCls()

  Specified by:
    `isDefaultSlotMetaCls` in interface `Cls`

### isFacetMetaCls

    public boolean isFacetMetaCls()

  Specified by:
    `isFacetMetaCls` in interface `Cls`

### isMetaCls

    public boolean isMetaCls()

  Specified by:
    `isMetaCls` in interface `Cls`

### isRoot

    public boolean isRoot()

  Specified by:
    `isRoot` in interface `Cls`

### isSlotMetaCls

    public boolean isSlotMetaCls()

  Specified by:
    `isSlotMetaCls` in interface `Cls`

### moveDirectSubclass

    public void moveDirectSubclass(Cls movedSubclass,
                                   Cls afterCls)

  Description copied from interface: `Cls`
  Reorder the subclasses, moving `movedSubclass` so that it appears after `afterCls` . If aftetCls is null then the movedSubclass appears first

  Specified by:
    `moveDirectSubclass` in interface `Cls`

### moveDirectTemplateSlot

    public void moveDirectTemplateSlot(Slot slot,
                                       int toIndex)

  Specified by:
    `moveDirectTemplateSlot` in interface `Cls`

### removeClsListener

    public void removeClsListener(ClsListener listener)

  Specified by:
    `removeClsListener` in interface `Cls`

### removeDirectSuperclass

    public void removeDirectSuperclass(Cls superclass)

  Specified by:
    `removeDirectSuperclass` in interface `Cls`

### removeDirectTemplateSlot

    public void removeDirectTemplateSlot(Slot slot)

  Specified by:
    `removeDirectTemplateSlot` in interface `Cls`

### removeTemplateFacetOverrides

    public void removeTemplateFacetOverrides(Slot slot)

  Specified by:
    `removeTemplateFacetOverrides` in interface `Cls`

### setAbstract

    public void setAbstract(boolean isAbstract)

  Specified by:
    `setAbstract` in interface `Cls`

### setDirectBrowserSlot

    public void setDirectBrowserSlot(Slot slot)

  Deprecated.

  Specified by:
    `setDirectBrowserSlot` in interface `Cls`

### setDirectBrowserSlotPattern

    public void setDirectBrowserSlotPattern(BrowserSlotPattern slotPattern)

  Specified by:
    `setDirectBrowserSlotPattern` in interface `Cls`

### setDirectTypeOfSubclasses

    public void setDirectTypeOfSubclasses(Cls metaCls)

  Specified by:
    `setDirectTypeOfSubclasses` in interface `Cls`

### setTemplateFacetValue

    public void setTemplateFacetValue(Slot slot,
                                      Facet facet,
                                      Object value)

  Description copied from interface: `Cls`
  see `Frame` for a description of the value type

  Specified by:
    `setTemplateFacetValue` in interface `Cls`

### setTemplateFacetValues

    public void setTemplateFacetValues(Slot slot,
                                       Facet facet,
                                       Collection values)

  Description copied from interface: `Cls`
  see `Frame` for a description of the value type

  Specified by:
    `setTemplateFacetValues` in interface `Cls`

### setTemplateSlotAllowedClses

    public void setTemplateSlotAllowedClses(Slot slot,
                                            Collection clses)

  Specified by:
    `setTemplateSlotAllowedClses` in interface `Cls`

### setTemplateSlotAllowedParents

    public void setTemplateSlotAllowedParents(Slot slot,
                                              Collection parents)

  Specified by:
    `setTemplateSlotAllowedParents` in interface `Cls`

### setTemplateSlotAllowedValues

    public void setTemplateSlotAllowedValues(Slot slot,
                                             Collection values)

  Specified by:
    `setTemplateSlotAllowedValues` in interface `Cls`

### setTemplateSlotAllowsMultipleValues

    public void setTemplateSlotAllowsMultipleValues(Slot slot,
                                                    boolean multiple)

  Specified by:
    `setTemplateSlotAllowsMultipleValues` in interface `Cls`

### setTemplateSlotDefaultValues

    public void setTemplateSlotDefaultValues(Slot slot,
                                             Collection values)

  Description copied from interface: `Cls`
  see `Frame` for a description of the value type

  Specified by:
    `setTemplateSlotDefaultValues` in interface `Cls`

### setTemplateSlotDocumentation

    public void setTemplateSlotDocumentation(Slot slot,
                                             String value)

  Specified by:
    `setTemplateSlotDocumentation` in interface `Cls`

### setTemplateSlotDocumentation

    public void setTemplateSlotDocumentation(Slot slot,
                                             Collection values)

  Specified by:
    `setTemplateSlotDocumentation` in interface `Cls`

### setTemplateSlotMaximumCardinality

    public void setTemplateSlotMaximumCardinality(Slot slot,
                                                  int max)

  Description copied from interface: `Cls`
  sets the maximum cardinality. max = 0 => no maximum

  Specified by:
    `setTemplateSlotMaximumCardinality` in interface `Cls`

### setTemplateSlotMaximumValue

    public void setTemplateSlotMaximumValue(Slot slot,
                                            Number maximum)

  Description copied from interface: `Cls`
  sets the maximum slot value. max = null => no maximum

  Specified by:
    `setTemplateSlotMaximumValue` in interface `Cls`

### setTemplateSlotMinimumCardinality

    public void setTemplateSlotMinimumCardinality(Slot slot,
                                                  int min)

  Description copied from interface: `Cls`
  sets the minimum cardinality

  Specified by:
    `setTemplateSlotMinimumCardinality` in interface `Cls`

### setTemplateSlotMinimumValue

    public void setTemplateSlotMinimumValue(Slot slot,
                                            Number minimum)

  Specified by:
    `setTemplateSlotMinimumValue` in interface `Cls`

### setTemplateSlotValue

    public void setTemplateSlotValue(Slot slot,
                                     Object value)

  Description copied from interface: `Cls`
  see `Frame` for a description of the value type

  Specified by:
    `setTemplateSlotValue` in interface `Cls`

### setTemplateSlotValues

    public void setTemplateSlotValues(Slot slot,
                                      Collection values)

  Description copied from interface: `Cls`
  see `Frame` for a description of the value type

  Specified by:
    `setTemplateSlotValues` in interface `Cls`

### setTemplateSlotValueType

    public void setTemplateSlotValueType(Slot slot,
                                         ValueType type)

  Specified by:
    `setTemplateSlotValueType` in interface `Cls`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getIcon

    public Icon getIcon()

  Specified by:
    `getIcon` in interface `Frame`
  Overrides:
    `getIcon` in class `DefaultFrame`

### rename

    public Cls rename(String name)

  Description copied from interface: `Frame`
  This is as close as we come to renaming a frame. Creates a clone of this with the new name and deletes this.

  Specified by:
    `rename` in interface `Cls`
  Specified by:
    `rename` in interface `Frame`
  Overrides:
    `rename` in class `DefaultFrame`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.